#ifndef TMHistogrammingCErrorFractionVsEC_H
#define TMHistogrammingCErrorFractionVsEC_H

#include "TMHistogramming.h"
#include "AliITSRawStreamSPDErrorLog.h"

class TH1F;

class TMHistogrammingCErrorFractionVsEC : public TMHistogramming {

 public:
  TMHistogrammingCErrorFractionVsEC();
  virtual ~TMHistogrammingCErrorFractionVsEC();

  virtual void   EndEvent(AliITSRawStreamSPD *str, UInt_t globalEventNumber);

  virtual void   Draw(TPad *pad);
  virtual void   Reset();

 protected:
  TH1F    *fTheHisto;
  UInt_t  fTotalNumberErrorEvents[AliITSRawStreamSPDErrorLog::kNrErrorCodes];

};

#endif
